/*
 * Copyright 2024 NXP
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
!!GlobalInfo
product: Pins v15.0
processor: MIMXRT1189xxxxx
package_id: MIMXRT1189CVM8B
mcu_data: ksdk2_0
processor_version: 0.15.9
board: MIMXRT1180-EVK
pin_labels:
- {pin_num: B1, pin_signal: GPIO_AON_08}
- {pin_num: A5, pin_signal: GPIO_AON_09}
- {pin_num: B3, pin_signal: GPIO_AON_15}
- {pin_num: C5, pin_signal: GPIO_AON_16}
- {pin_num: F6, pin_signal: GPIO_AON_21}
- {pin_num: C3, pin_signal: GPIO_AON_22}
- {pin_num: C2, pin_signal: GPIO_AON_23}
- {pin_num: C1, pin_signal: GPIO_AON_24}
- {pin_num: D2, pin_signal: GPIO_AON_25}
- {pin_num: R13, pin_signal: GPIO_AD_02}
- {pin_num: R15, pin_signal: GPIO_AD_03}
- {pin_num: P15, pin_signal: GPIO_AD_04}
- {pin_num: P13, pin_signal: GPIO_AD_05}
- {pin_num: L15, pin_signal: GPIO_AD_29}
- {pin_num: B16, pin_signal: GPIO_SD_B1_00}
- {pin_num: D15, pin_signal: GPIO_SD_B1_01}
- {pin_num: D14, pin_signal: GPIO_SD_B1_02}
- {pin_num: C15, pin_signal: GPIO_SD_B1_03}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */

#include "fsl_common.h"
#include "fsl_iomuxc.h"
#include "fsl_rgpio.h"
#include "pin_mux.h"

/* FUNCTION ************************************************************************************************************
 * 
 * Function Name : BOARD_InitBootPins
 * Description   : Calls initialization functions.
 * 
 * END ****************************************************************************************************************/
void BOARD_InitBootPins(void) {
    BOARD_InitPins();
}

/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitPins:
- options: {callFromInitBoot: 'true', coreID: cm33, enableClock: 'true'}
- pin_list:
  - {pin_num: A5, peripheral: LPUART1, signal: RXD, pin_signal: GPIO_AON_09}
  - {pin_num: B1, peripheral: LPUART1, signal: TXD, pin_signal: GPIO_AON_08}
  - {pin_num: D14, peripheral: LPSPI3, signal: SOUT, pin_signal: GPIO_SD_B1_02, pull_down_pull_up_config: Pull_Down, pdrv_config: High_Driver}
  - {pin_num: C15, peripheral: LPSPI3, signal: SIN, pin_signal: GPIO_SD_B1_03, pull_down_pull_up_config: Pull_Down, pdrv_config: High_Driver, open_drain: Disable}
  - {pin_num: R13, peripheral: FLEXIO2, signal: 'IO, 02', pin_signal: GPIO_AD_02, drive_strength: High}
  - {pin_num: R15, peripheral: FLEXIO2, signal: 'IO, 03', pin_signal: GPIO_AD_03, drive_strength: High}
  - {pin_num: P15, peripheral: FLEXIO2, signal: 'IO, 04', pin_signal: GPIO_AD_04, drive_strength: High}
  - {pin_num: P13, peripheral: FLEXIO2, signal: 'IO, 05', pin_signal: GPIO_AD_05, software_input_on: Disable, pull_up_down_config: Pull_Up, pull_keeper_select: Pull,
    open_drain: Disable, drive_strength: High, force_ibe_off: Disable}
  - {pin_num: D15, peripheral: LPSPI3, signal: SCK, pin_signal: GPIO_SD_B1_01}
  - {pin_num: B16, peripheral: LPSPI3, signal: PCS0, pin_signal: GPIO_SD_B1_00, pull_down_pull_up_config: Pull_Up, pdrv_config: High_Driver}
  - {pin_num: L15, peripheral: RGPIO4, signal: 'gpio_io, 29', pin_signal: GPIO_AD_29, direction: OUTPUT, gpio_init_state: 'false'}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitPins, assigned for the Cortex-M33 core.
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void BOARD_InitPins(void) {
  CLOCK_EnableClock(kCLOCK_Iomuxc1);          /* Turn on LPCG: LPCG is ON. */
  CLOCK_EnableClock(kCLOCK_Iomuxc2);          /* Turn on LPCG: LPCG is ON. */

  /* GPIO configuration on GPIO_AD_29 (pin L15) */
  rgpio_pin_config_t gpio4_pinL15_config = {
      .pinDirection = kRGPIO_DigitalOutput,
      .outputLogic = 0U,
  };
  /* Initialize GPIO functionality on GPIO_AD_29 (pin L15) */
  RGPIO_PinInit(RGPIO4, 29U, &gpio4_pinL15_config);

  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_02_FLEXIO2_FLEXIO02,     /* GPIO_AD_02 is configured as FLEXIO2_FLEXIO02 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_03_FLEXIO2_FLEXIO03,     /* GPIO_AD_03 is configured as FLEXIO2_FLEXIO03 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_04_FLEXIO2_FLEXIO04,     /* GPIO_AD_04 is configured as FLEXIO2_FLEXIO04 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_05_FLEXIO2_FLEXIO05,     /* GPIO_AD_05 is configured as FLEXIO2_FLEXIO05 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AD_29_GPIO4_IO29,           /* GPIO_AD_29 is configured as GPIO4_IO29 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_SD_B1_00_LPSPI3_PCS0,       /* GPIO_SD_B1_00 is configured as LPSPI3_PCS0 */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_SD_B1_01_LPSPI3_SCK,        /* GPIO_SD_B1_01 is configured as LPSPI3_SCK */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_SD_B1_02_LPSPI3_SDO,        /* GPIO_SD_B1_02 is configured as LPSPI3_SDO */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_SD_B1_03_LPSPI3_SDI,        /* GPIO_SD_B1_03 is configured as LPSPI3_SDI */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AON_08_LPUART1_TX,          /* GPIO_AON_08 is configured as LPUART1_TX */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinMux(
      IOMUXC_GPIO_AON_09_LPUART1_RX,          /* GPIO_AON_09 is configured as LPUART1_RX */
      0U);                                    /* Software Input On Field: Input Path is determined by functionality */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_AD_02_FLEXIO2_FLEXIO02,     /* GPIO_AD_02 PAD functional properties : */
      0x06U);                                 /* Slew Rate Field: Fast Slew Rate
                                                 Drive Strength Field: high driver
                                                 Pull / Keep Select Field: Pull Enable
                                                 Pull Up / Down Config. Field: Weak pull down
                                                 Open Drain Field: Disabled
                                                 Force ibe off Field: Disabled */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_AD_03_FLEXIO2_FLEXIO03,     /* GPIO_AD_03 PAD functional properties : */
      0x06U);                                 /* Slew Rate Field: Fast Slew Rate
                                                 Drive Strength Field: high driver
                                                 Pull / Keep Select Field: Pull Enable
                                                 Pull Up / Down Config. Field: Weak pull down
                                                 Open Drain Field: Disabled
                                                 Force ibe off Field: Disabled */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_AD_04_FLEXIO2_FLEXIO04,     /* GPIO_AD_04 PAD functional properties : */
      0x06U);                                 /* Slew Rate Field: Fast Slew Rate
                                                 Drive Strength Field: high driver
                                                 Pull / Keep Select Field: Pull Enable
                                                 Pull Up / Down Config. Field: Weak pull down
                                                 Open Drain Field: Disabled
                                                 Force ibe off Field: Disabled */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_AD_05_FLEXIO2_FLEXIO05,     /* GPIO_AD_05 PAD functional properties : */
      0x0EU);                                 /* Slew Rate Field: Fast Slew Rate
                                                 Drive Strength Field: high driver
                                                 Pull / Keep Select Field: Pull Enable
                                                 Pull Up / Down Config. Field: Weak pull up
                                                 Open Drain Field: Disabled
                                                 Force ibe off Field: Disabled */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_SD_B1_00_LPSPI3_PCS0,       /* GPIO_SD_B1_00 PAD functional properties : */
      0x04U);                                 /* PDRV Field: high driver
                                                 Pull Down Pull Up Field: PU
                                                 Open Drain Field: Disabled */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_SD_B1_02_LPSPI3_SDO,        /* GPIO_SD_B1_02 PAD functional properties : */
      0x08U);                                 /* PDRV Field: high driver
                                                 Pull Down Pull Up Field: PD
                                                 Open Drain Field: Disabled */
  IOMUXC_SetPinConfig(
      IOMUXC_GPIO_SD_B1_03_LPSPI3_SDI,        /* GPIO_SD_B1_03 PAD functional properties : */
      0x08U);                                 /* PDRV Field: high driver
                                                 Pull Down Pull Up Field: PD
                                                 Open Drain Field: Disabled */
}

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
